> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Data

> An export of the product data in Elevate 4 can be done using the standard HTTP GET method, with personal cluster credentials provided during onboarding.

An export of the product data in Elevate 4 can be done using the standard <a href="https://en.wikipedia.org/wiki/GET_(HTTP)">HTTP GET method</a>, with personal cluster credentials provided during onboarding.

```http theme={null}
GET https://{cluster-id}.elevate-api.cloud/api/admin/v3/export/data
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name              | Description                                   | Example       |
    | ----------------- | --------------------------------------------- | ------------- |
    | `Api-Key`\*       | API key supplied during onboarding.           | `123456789..` |
    | `Accept-Encoding` | Allows responses to be compressed using Gzip. | `gzip`        |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X GET \
    -H 'Api-Key: 123456789..' \
    -H 'Accept-Encoding: null' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v3/export/data"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                                                                                                                                                                                             |
    | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | `200`  | Query accepted. The data will be returned as an application/xml-object.                                                                                                                                 |
    | `403`  | Incorrect cluster credentials.                                                                                                                                                                          |
    | `404`  | Cluster not found.                                                                                                                                                                                      |
    | `500`  | Server error such as cluster unavailable, busy or internal error. If 5xx errors persist, contact <a href="mailto:support@voyado.com">support</a> and attach any information found in the response body. |
    | `503`  | The server in the cluster that received the request is currently unavailable or busy. It is recommended to retry the request. The time between request attempts should be increasing.                   |
  </Accordion>

  <Accordion title="Example response">
    ```xml theme={null}
    <?xml version="1.0" encoding="UTF-8" ?>
    <data_import type="full">
        <modify market="UK" locale="en-GB">
            <product_groups>
                <add_or_replace>
                    <product_group key="1001">
                        <brand>Gazelle</brand>
                        <department>Men</department>
                        <products>
                            <product key="1001-100">
                                <title>Linen T-shirt</title>
                                <url>/products/1001-100</url>
                                <release_date>2019-10-27T00:00:00Z</release_date>
                                <description>Loose-fit striped T-shirt with a slightly lower neckline.</description>
                                <images>
                                    <image>
                                        <urls>
                                            <url>//cdn.example.com/images/1001-100_model.jpg?preset=200x200</url>
                                            <url>//cdn.example.com/images/1001-100_model.jpg?preset=600x600</url>
                                        </urls>
                                    </image>
                                </images>
                                <custom_attributes>
                                    <category>T-Shirts</category>
                                </custom_attributes>
                                <variants>
                                    <variant key="1001-100-1">
                                        <stock_number>12</stock_number>
                                        <selling_price>9.99</selling_price>
                                        <list_price>12.99</list_price>
                                        <cost>8.00</cost>
                                        <url>/products/1001-100?size=S</url>
                                        <sizes>
                                            <size>S</size>
                                        </sizes>
                                    </variant>
                                </variants>
                            </product>
                        </products>
                    </product_group>
                </add_or_replace>
            </product_groups>
            <content_items>
                <add_or_replace>
                    <content key="871">
                        <type>link</type>
                        <title>Shipping</title>
                        <link>/uk/customer-service/shipping</link>
                    </content>
                </add_or_replace>
            </content_items>
        </modify>
    </data_import>
    ```
  </Accordion>
</AccordionGroup>
